---
- name: COnfigure Sources
  when: repositories_install_sources
  block:
    - name: Configure Key for Sources OS Repositories
      ansible.builtin.apt_key:
        url: "{{ item.key.url }}"
        id: "{{ item.key.id }}"
        state: "{{ item.state | default(omit) }}"
      with_items: "{{ repositories_sources }}"
      when: item.key is defined
      register: keys_sources

    - name: Configure Sources OS Repositories
      ansible.builtin.apt_repository:
        repo: "{{ item.repo }}"
        state: "{{ item.state | default(omit) }}"
        filename: sources
        update_cache: "{{ item.update_cache | default(False) }}"
      with_items: "{{ repositories_sources }}"
      register: sources_sources

- name: Disable sources
  when: not repositories_install_sources
  block:
    - name: Disable Sources OS Repositores
      ansible.builtin.apt_repository:
        repo: "{{ item.repo }}"
        state: absent
        filename: sources
        update_cache: "{{ item.update_cache | default(False) }}"
      with_items: "{{ repositories_sources }}"
